### Method

# Camel StoreSearch list_folders

since: 3.58

#### Declaration [src]

    GPtrArray*
    camel_store_search_list_folders (
      CamelStoreSearch* self
    )

#### Description [src]

Lists the `CamelFolder`-s the `self` searches in.

Free the returned `GPtrArray` with g_ptr_array_unref(), when no longer needed.

Available since: 3.58

#### Return value

Type: An array of `CamelFolder*`

A newly created `GPtrArray` with the `CamelFolder` instances the `self` searches in.

The caller of the method takes ownership of the returned data container, but not the data inside it.